# Enable Powerlevel10k instant prompt. Should stay close to the top of ~/.zshrc.
# Initialization code that may require console input (password prompts, [y/n]
# confirmations, etc.) must go above this block; everything else may go below.
if [[ -r "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh" ]]; then
  source "${XDG_CACHE_HOME:-$HOME/.cache}/p10k-instant-prompt-${(%):-%n}.zsh"
fi

#USE_POWERLINE="true"

# aliases
alias cp="cp -i"
alias more="less"
alias weather="curl wttr.in"
alias ls="exa -lhg --group-directories-first"
alias ll="exa -lhga --group-directories-first"
alias vim="nvim"
alias docs="python ~/scripts/stock_price.py -s docs"

# path
export PATH=/home/clint/scripts/:$PATH

# default programs
export TERMINAL=alacritty
export BROWSER=firefox
export EDITOR=nvim

# add some common key bindings
bindkey "^[[H" beginning-of-line
bindkey "^[[F" end-of-line
bindkey "\e[3~" delete-char 

# history
HISTFILE=~/.zhistory
export HISTSIZE=10000
export SAVEHIST=10000
setopt INC_APPEND_HISTORY
setopt HIST_IGNORE_DUPS
bindkey '^R' history-incremental-search-backward
# setopt share_history


# auto complete
autoload -Uz compinit
compinit
_comp_options+=(globdots)
zstyle ':completion:*' menu select

# start power theme
source /usr/share/zsh-theme-powerlevel10k/powerlevel10k.zsh-theme

# To customize prompt, run `p10k configure` or edit ~/.p10k.zsh.
[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh

# auto cd
setopt auto_cd

pfetch



